<?php

//* Theme Required Plugins
class Sas_Required_Plugins{
    public function __construct() {
        add_action( 'tgmpa_register', array($this, 'sas_register_required_plugins' ));
    }

    public function sas_register_required_plugins() {
        $plugins = array(
            array(
                'name'               => 'Elementor Page Builder',
                'slug'               => 'elementor',
                'required'           => true,
                'force_deactivation' => false,
                'external_url'       => admin_url( 'plugin-install.php?s=elementor&tab=search&type=term' ), // URL for the Elementor installation page in the WordPress dashboard.
            ),
            /*
            array(
                'name'               => 'Search & Stay Plugin',
                'slug'               => 'sas-wp-plugin',
                'source'             => get_template_directory_uri() . '/lib/plugins/sas-wp-plugin.zip',
                'required'           => true,
                'version'            => '',
                'force_activation'   => false,
                'force_deactivation' => false
            )
            */
        );
    
        tgmpa( $plugins );
    }
}
